/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/05/29 11:59:27
 */

import { nextTick, css, html, Component, bind } from 'wkit'

class OptionGroup extends Component {
  //
  static props = {
    label: ''
  }

  static styles = [
    css`
      :host {
        display: block;
        width: 100%;
        line-height: 1.5;
      }

      label {
        padding: 0 8px;
        line-height: 1;
        font-size: 12px;
        color: var(--color-grey-2);
      }
    `
  ]

  render() {
    return html`
      <label>${this.label}</label>
      <slot></slot>
    `
  }
}

class Option extends Component {
  //
  static props = {
    action: '',
    disabled: false
  }

  static styles = [
    css`
      .item {
        display: flex;
        padding: 0 16px;
        line-height: 2;
        color: var(--color-dark-1);

        &:hover {
          background: var(--color-plain-1);
        }
      }
    `
  ]

  render() {
    return html` <section class="item"><slot></slot></section> `
  }
}

OptionGroup.reg('option-group')
Option.reg('option')
